Open CASCADE Technology
7.5.0
|
The Projection class provides conical and cylindrical projections of Edge or Wire on a Shape from TopoDS. The result will be a Edge or Wire from TopoDS. More...
#include <BRepProj_Projection.hxx>
Public Member Functions | |
BRepProj_Projection (const TopoDS_Shape &Wire, const TopoDS_Shape &Shape, const gp_Dir &D) | |
Makes a Cylindrical projection of Wire om Shape. More... | |
BRepProj_Projection (const TopoDS_Shape &Wire, const TopoDS_Shape &Shape, const gp_Pnt &P) | |
Makes a Conical projection of Wire om Shape. More... | |
Standard_Boolean | IsDone () const |
returns False if the section failed More... | |
void | Init () |
Resets the iterator by resulting wires. More... | |
Standard_Boolean | More () const |
Returns True if there is a current result wire. More... | |
void | Next () |
Move to the next result wire. More... | |
TopoDS_Wire | Current () const |
Returns the current result wire. More... | |
TopoDS_Compound | Shape () const |
Returns the complete result as compound of wires. More... | |
The Projection class provides conical and cylindrical projections of Edge or Wire on a Shape from TopoDS. The result will be a Edge or Wire from TopoDS.
BRepProj_Projection::BRepProj_Projection | ( | const TopoDS_Shape & | Wire, |
const TopoDS_Shape & | Shape, | ||
const gp_Dir & | D | ||
) |
Makes a Cylindrical projection of Wire om Shape.
BRepProj_Projection::BRepProj_Projection | ( | const TopoDS_Shape & | Wire, |
const TopoDS_Shape & | Shape, | ||
const gp_Pnt & | P | ||
) |
Makes a Conical projection of Wire om Shape.
TopoDS_Wire BRepProj_Projection::Current | ( | ) | const |
Returns the current result wire.
void BRepProj_Projection::Init | ( | ) |
Resets the iterator by resulting wires.
Standard_Boolean BRepProj_Projection::IsDone | ( | ) | const |
returns False if the section failed
Standard_Boolean BRepProj_Projection::More | ( | ) | const |
Returns True if there is a current result wire.
void BRepProj_Projection::Next | ( | ) |
Move to the next result wire.
TopoDS_Compound BRepProj_Projection::Shape | ( | ) | const |
Returns the complete result as compound of wires.